> Documentation index: https://docs.scrapier.io/llms.txt
> Auth: header `X-API-Key: <key>` · Base: https://api.scrapier.io/api/v2 · Synchronous; paginate with `cursor` ← `data.next_cursor`.

# eBay API

Scrapier endpoints for eBay: eBay Listings, eBay Product Details Scraper, eBay Review Scraper.

3 endpoints · 1 credit / successful call · All eBay endpoints in one file: https://docs.scrapier.io/llms-ebay.txt

## Quickstart

### eBay Listings

```bash
curl -G "https://api.scrapier.io/api/v2/ebay-listing/" \
  -H "X-API-Key: YOUR_API_KEY" \
  --data-urlencode "url=https://www.ebay.com/sch/i.html?_nkw=shoe&_sop=12" \
  --max-time 210
```

## Endpoints

| Endpoint | Path | Pagination | Credits | Needs cookie |
|---|---|---|---|---|
| [eBay Listings](https://docs.scrapier.io/api-reference/ebay/ebay-listing.md) | `/ebay-listing/` | cursor | 1 | no |
| [eBay Product Details Scraper](https://docs.scrapier.io/api-reference/ebay/ebay-product-details-scraper.md) | `/ebay-product-details-scraper/` | single | 1 | no |
| [eBay Review Scraper](https://docs.scrapier.io/api-reference/ebay/ebay-review-scraper.md) | `/ebay-review-scraper/` | cursor | 1 | no |
